Orxonox: orxonox::Bot Class Reference

# orxonox::Bot Class Reference

`#include <src/orxonox/objects/infos/Bot.h>`

Inheritance diagram for orxonox::Bot:

List of all members.

## Public Member Functions

| Bot (BaseObject *creator)
float | getPacketLossRatio () const
float | getPing () const
bool | isInitialized () const
| Returns if the object was initialized (passed the object registration).
void | setConfigValues ()
| Function to collect the SetConfigValue-macro calls.
virtual | ~Bot ()

## Private Attributes

std::vector< std::string > | names_

## Constructor & Destructor Documentation

orxonox::Bot::Bot | ( | BaseObject * | creator | ) |

References orxonox::PlayerInfo::bHumanPlayer_, orxonox::PlayerInfo::bLocalPlayer_, orxonox::PlayerInfo::bSetUnreadyAfterSpawn_, Class, orxonox::PlayerInfo::createController(), orxonox::PlayerInfo::defaultController_, orxonox::BaseObject::getGametype(), orxonox::GameMode::isMaster(), names_, orxonox::Gametype::playerEntered(), RegisterObject, orxonox::rnd(), setConfigValues(), orxonox::BaseObject::setName(), and orxonox::PlayerInfo::setReadyToSpawn().

orxonox::Bot::~Bot | ( |  | ) | `[virtual]`

## Member Function Documentation

float orxonox::Bot::getPacketLossRatio | ( |  | ) | const`[inline, virtual]`

Implements orxonox::PlayerInfo.

float orxonox::Bot::getPing | ( |  | ) | const`[inline, virtual]`

Implements orxonox::PlayerInfo.

bool orxonox::Bot::isInitialized | ( |  | ) | const`[inline, virtual]`

Returns if the object was initialized (passed the object registration).

Returns:
  True was the object is initialized

Implements orxonox::PlayerInfo.

void orxonox::Bot::setConfigValues | ( |  | ) |

Function to collect the SetConfigValue-macro calls.

Reimplemented from orxonox::OrxonoxClass.

References names_, and SetConfigValueVector.

Referenced by Bot().

## Member Data Documentation

std::vector<std::string> orxonox::Bot::names_`[private]`

Referenced by Bot(), and setConfigValues().

The documentation for this class was generated from the following files:

- src/orxonox/objects/infos/Bot.h
- src/orxonox/objects/infos/Bot.cc